package app02e.action;

import app02e.to.ProductTO;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.DynaActionForm;

public class SaveProductAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) throws Exception {
    ProductTO product = new ProductTO();
    
    DynaActionForm productForm = (DynaActionForm)form;

    product.setProductName(productForm.getString("productName"));
    product.setDescription(productForm.getString("description"));
    product.setPrice(productForm.getString("price"));

    // code for persisting the ProductTO object goes here
    request.setAttribute("product", product);

    return (mapping.findForward("success"));
  }
}
